Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/editorconfig: new aport

From: Paul Morgan <jumanjiman_at_gmail.com>
Date: Mon, 1 Feb 2016 00:09:14 +0000

EditorConfig helps developers define and maintain consistent
coding styles between different editors and IDEs.

This package provides the standalone editorconfig core binary
and library that is needed by various plugins.

For example, the vim plugin (not in this package)
depends on the editorconfig binary (this package)
since vim is compiled without python support on Alpine.
---
 testing/editorconfig/APKBUILD | 49 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)
 create mode 100644 testing/editorconfig/APKBUILD
diff --git a/testing/editorconfig/APKBUILD b/testing/editorconfig/APKBUILD
new file mode 100644
index 0000000..a69dbde
--- /dev/null
+++ b/testing/editorconfig/APKBUILD
_at_@ -0,0 +1,49 @@
+# Contributor:
+# Maintainer: Paul Morgan <jumanjiman_at_gmail.com>
+pkgname=editorconfig
+pkgver=0.12.0
+pkgrel=0
+pkgdesc="EditorConfig core library written in C (for use by plugins supporting EditorConfig parsing)"
+url="https://github.com/editorconfig/editorconfig-core-c"
+arch="x86_64"
+license="BSD" # "Simplified" http://opensource.org/licenses/BSD-2-Clause
+depends="pcre"
+depends_dev="cmake doxygen gcc make musl-dev pcre-dev"
+makedepends="$depends_dev"
+install=""
+options=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/editorconfig/editorconfig-core-c/archive/v$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-core-c-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	cmake . \
+		-DCMAKE_BUILD_TYPE=Release \
+		-DCMAKE_INSTALL_PREFIX=/usr \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	# Remove symlink to editorconfig-$pkgver
+	rm -f "$pkgdir/usr/bin/$pkgname" || return 1
+	# Rename editorconfig-$pkgver as editorconfig
+	mv -f "$pkgdir/usr/bin/$pkgname-$pkgver" "$pkgdir/usr/bin/$pkgname" || return 1
+}
+
+md5sums="7bb7d82145984acf0b3568d161815b75  editorconfig-0.12.0.tar.gz"
+sha256sums="a53b67aca5ba307c37e9e002fa6cc5e5399ac0099eaeeca700ad703ee6e5278b  editorconfig-0.12.0.tar.gz"
+sha512sums="5e3576a202823da0c78535b549efc29656d8fc15231ece2ad8e701bf2f7d76b14dc02e445dc71ea6a6da6fbcc624eac82539380e77a25111f215ace3f3a516e1  editorconfig-0.12.0.tar.gz"
-- 
2.7.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Feb 01 2016 - 00:09:14 GMT